[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TOnFreeSlot

Callback called when a slot must be freed.

## Declaration

Source position: cachecls.pp line 56

`type TOnFreeSlot = procedure(`
`ACache: TCache;`
`SlotIndex: Integer`
`) of object;`

## Arguments

`ACache` |  | Cache class calling the function
`SlotIndex` |  | Index of the slot that will be freed.

## Description

TOnFreeSlot is a callback prototype used when not enough slots are free, and a slot must be freed.

## See also

TCache.OnFreeSlot |  | Event called when a slot is freed